#pragma once

#include "CoreMinimal.h"
#include "AmbianceRequest.generated.h"

class UAmbianceManagerDataAsset;

USTRUCT(BlueprintType)
struct FAmbianceRequest
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	UAmbianceManagerDataAsset* DataAsset;

public:
	GRAPHICSEXTENSIONS_API FAmbianceRequest();
};

FORCEINLINE uint32 GetTypeHash(const FAmbianceRequest) { return 0; }
